Skip to contentSkip to navigationSkip to topbar
Page toolsOn this pageProducts used
Looking for more inspiration?Visit the

54156: Invalid List Item data


ERROR: 54156

error-54156 page anchor
SYNC
ERROR

This error occurs when you send Data as null in a Sync List item request. For create requests, include the data body parameter and pass a JSON string that represents a schema-less object. A ListItem can store up to 16 KiB of data.

Possible causes

possible-causes page anchor
  • You tried to create a List item without including the Data parameter in the request body.
  • You passed Data as null instead of a JSON string.
  • Include the Data parameter in the request body when you create the List item. The create endpoint accepts application/x-www-form-urlencoded input and requires data.
  • Send Data as a serialized UTF-8 JSON object, such as {}, instead of null.
  • If you update an existing List item, only send data when you want to change the stored object, and make sure the value is still a JSON string.
  • Keep the List item payload at or below 16 KiB.

Additional resources

additional-resources page anchor